package com.duokan.airkan.phone.aidl;
import com.duokan.airkan.common.aidl.photo.ParcelOfferData;
import com.duokan.airkan.common.aidl.photo.ParcelPhotoQueryData;
import com.duokan.airkan.common.aidl.photo.ParcelSliderType;

interface IPhotoServiceCallback {
    void onAuthReqResponse(int handle, int result);

    /*
     * Photo
     */
    void onPhotoOffer(int handle, in ParcelOfferData offerData);
    void onPhotoControlResponse(int handle, byte code, int result, String message);
    void onPhotoQueryResult(int handle, in ParcelPhotoQueryData photoQueryData, in ParcelSliderType[] sstl);
    void onPhotoPull(in int[] list);
    void onPhotoBuildHandleMapResponse(in String rspString);
    void onDisconnected();
    void onReleased();
}
