package com.duokan.airkan.phone.aidl;
import com.duokan.airkan.common.aidl.video.ParcelReverseRequest;
import com.duokan.airkan.common.aidl.video.ParcelQueryData;

interface IVideoServiceCallback {
    void onAuthReqResponse(int handle, int result);

    void onPlayControlResponse(int handle, byte code, int result, String message);
    void onQueryResult(int handle, in ParcelQueryData queryData);

    void onDisconnected();
    void onReleased();
    void onNetworkCongestion();
    void inform(String message);
    int reverseReq(in ParcelReverseRequest mParcelReverseRequest);
}
