package com.duokan.airkan.photosend.aidl;
import com.duokan.airkan.photosend.aidl.IPhotoSendServiceCallback;

interface IPhotoSendService {

    int startPhotoSend(String ip, int port, int remoteWidth, int remoteHeight);
    void registerCallback(IPhotoSendServiceCallback cb);
    void removeCallback();
    int stopPhotoSend();
    
    int sendPhoto(String filename, int handle, int format, boolean highPriority, boolean isChanged, boolean sendLarge);
    int sendPhotoData(String filename,in byte[] data, int handle, int format, boolean highPriority, boolean isChanged);
    int sendPhotoDataM(in byte[] data,  int order,int length);
    void MultiBlockDataInfo(String filename,int format, int blockCount, int handle,int length, boolean highPriority, boolean isChanged);    
}