package com.duokan.mdnssd.listener.aidl;
import com.duokan.mdnssd.listener.aidl.IServiceDNSCallback;
import com.duokan.airkan.common.aidl.ParcelService;
import java.util.List;

interface IListenService {
    void registerCallback(String type, IServiceDNSCallback cb);
    void registerCallbackWithTypeList(in List<String> typeList, IServiceDNSCallback cb);
    void registerRCCallbackWithTypeList(in List<String> typeList, IServiceDNSCallback cb);
    void removeCallback();
    void removeRCCallback();
    void queryService(out List<ParcelService> serviceList);
    void queryRCService(out List<ParcelService> serviceList);
    void queryBTService();
}
