package com.xiaomi.milink.discover.aidl;

import com.duokan.airkan.common.aidl.ParcelService;
import com.duokan.airkan.common.aidl.ParcelDeviceData;

import com.xiaomi.milink.discover.aidl.IUDTDiscoverCallback;

interface IUDTDiscoverService {
    int registCallback(int inSrcAppID, IUDTDiscoverCallback inCallback);
    int removeCallback(int inSrcAppID);

    int registSubscibedService(int inSrcAppID, String inDstServiceType);
    int removeSubscibedService(int inSrcAppID, String inDstServiceType);
    
    int queryService(String inDstServiceType, out List<ParcelDeviceData> outDeviceList);

    int registFeature(int inSrcAppID, String inFeatureDescription);
    int removeFeature(int inSrcAppID, String inFeatureDescription);

    int registService(int inSrcAppID, in ParcelService inParcelService);
    int removeService(int inSrcAppID, in ParcelService inParcelService);
}