package com.xiaomi.milink.transmit.aidl;

interface IUDTTransmitCallback {
	void onConnectionCreated(int inDstIP, int inDstPort, int inDstAppID, boolean isCtrlConnection);
    void onConnectionRemoved(int inDstIP, int inDstPort, int inDstAppID, boolean isCtrlConnection);

    void onSendDone(int inDstIP, int inDstPort, int inDstAppID);
    void onRecvDone(int inSrcIP, int inSrcPort, int inSrcAppID);

    void onRecvCtrlByTCP(int inSrcIP, int inSrcPort, int inSrcAppID, in byte[] inData, int inTotalSize);
    void onRecvDataByTCP(int inSrcIP, int inSrcPort, int inSrcAppID, in byte[] inData, int inTotalSize);
    void onRecvDataByUDP(int inSrcIP, int inSrcPort, int inSrcAppID, in byte[] inData, int inTotalSize);
}